#Called by repair/main.mcfunction
#Used to determine if player has a repairable item in hand and has interacted with corresponding craftsman


tellraw @a[tag=lordphenex.debug] [{"text":"repair/not_matching","color":"aqua"}]
execute unless data entity @s SelectedItem run return 1
execute if data entity @s SelectedItem.components."minecraft:custom_data".lordphenex.spawnerPickaxe run return 1
execute if data entity @s SelectedItem.components."minecraft:custom_data".lordphenex.cannot_repair run return 1
execute store result score itemDamage LP_Craftsmen run data get storage lordphenex:craftsmen Item.components."minecraft:damage"
tellraw @a[tag=lordphenex.debug] [{"text":"repair/not_matching : damage","color":"aqua"},{"score":{"objective":"LP_Craftsmen","name":"itemDamage"}}]
execute if score itemDamage LP_Craftsmen matches 0 run return 1
tellraw @a[tag=lordphenex.debug] [{"text":"repair/not_matching : passed damage test","color":"aqua"}]
execute if predicate lordphenex:craftsmen/player_holding/armor unless data storage lordphenex:craftsmen {craftsman:{profession:"minecraft:armorer"}} run return 1
tellraw @a[tag=lordphenex.debug] [{"text":"repair/not_matching : armorer passed","color":"aqua"}]
execute if predicate lordphenex:craftsmen/player_holding/bow_like unless data storage lordphenex:craftsmen {craftsman:{profession:"minecraft:fletcher"}} run return 1
tellraw @a[tag=lordphenex.debug] [{"text":"repair/not_matching : fletcher passed","color":"aqua"}]
execute if predicate lordphenex:craftsmen/player_holding/leather_clothe unless data storage lordphenex:craftsmen {craftsman:{profession:"minecraft:leatherworker"}} run return 1
tellraw @a[tag=lordphenex.debug] [{"text":"repair/not_matching : leatherworker passed","color":"aqua"}]
execute if predicate lordphenex:craftsmen/player_holding/tool unless data storage lordphenex:craftsmen {craftsman:{profession:"minecraft:toolsmith"}} unless predicate lordphenex:craftsmen/player_holding/axe run return 1
tellraw @a[tag=lordphenex.debug] [{"text":"repair/not_matching : toolsmith passed","color":"aqua"}]
execute if predicate lordphenex:craftsmen/player_holding/weapon unless data storage lordphenex:craftsmen {craftsman:{profession:"minecraft:weaponsmith"}} unless predicate lordphenex:craftsmen/player_holding/axe run return 1



#if we get here, there is no problem, we can go further in the repair
tellraw @a[tag=lordphenex.debug] [{"text":"repair/not_matching : tests passed","color":"aqua"}]
function lordphenex:craftsmen/repair/repair
return 0
